Summary:        CPU frequency adjusting daemon
Name:           cpuspeed
Version:        1.2.1
Release:        %(R="$Revision: 1.36 $"; RR="${R##: }"; echo ${RR%%?})%{?dist}
Epoch:          1
Group:          System Environment/Base
License:        GPL
URL:            http://carlthompson.net/Software/CPUSpeed
Source0:        http://carlthompson.net/dl/cpuspeed/cpuspeed-%{version}.tar.gz
Source1:        cpuspeed.init
Source2:        http://carlthompson.net/dl/cpuspeed/license.txt
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(post):  /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service

BuildRequires:  automake util-linux groff gettext
ExclusiveArch:	i386 x86_64 ppc ppc64
Obsoletes:	kernel-utils

Patch1: warning.diff
Patch2: idlenice.diff
Patch3: nostrip.diff

%description
cpuspeed is a daemon that dynamically changes the speed
of your processor(s) depending upon its current workload
if it is capable (needs Intel Speedstep, AMD PowerNow!,
or similar support).

%prep
%setup -q

cp %{SOURCE2} .

%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_sysconfdir}/rc.d/init.d
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig

make CFLAGS="$RPM_OPT_FLAGS -fpie -pie -Wl,-z,relro,-z,now"

%install
install cpuspeed %{buildroot}%{_sbindir}
install %{SOURCE1} %{buildroot}%{_sysconfdir}/rc.d/init.d/cpuspeed
install cpuspeed.conf %{buildroot}%{_sysconfdir}

chmod -R a-s %{buildroot}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root,-)
%doc license.txt CHANGES EXAMPLES FEATURES README USAGE
%{_sbindir}/cpuspeed
%{_sysconfdir}/rc.d/init.d/cpuspeed
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/cpuspeed.conf

%preun
if [ "$1" = "0" ] ; then
  /sbin/service cpuspeed stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del cpuspeed
fi

%post
/sbin/chkconfig --add cpuspeed

%triggerpostun -- kernel-utils
/sbin/chkconfig --add cpuspeed
exit 0

%changelog
* Thu Nov 30 2006 Jarod Wilson <jwilson@redhat.com>
- Bring over devel changes to fix latest acpi-cpufreq bugs

* Sun Nov 12 2006 Dave Jones <davej@redhat.com>
- Fix up 'FATAL: Error inserting acpi_cpufreq' problem. (#212031)
- Load ondemand governor instead of userspace for centrino.

* Thu Feb 23 2006 Dave Jones <davej@redhat.com>
- Fix broken init script. (Alexandre Oliva) [#182691]
  Taking ugly shell script to the next level.

* Tue Feb 21 2006 Dave Jones <davej@redhat.com>
- Missed another occurance of the same problem I fixed yesterday.

* Mon Feb 20 2006 Dave Jones <davej@redhat.com>
- Some ACPI BIOSes start counting CPUs at 0, some at 1. *sigh*  (#181673)

* Sat Feb 11 2006 Dave Jones <davej@redhat.com>
- rebuild.

* Thu Feb 09 2006 Dave Jones <davej@redhat.com>
- rebuild.

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Nov 14 2005 Dave Jones <davej@redhat.com>
- Don't try and load acpi-cpufreq if we have no throttling states.

* Thu Sep 29 2005 Dave Jones <davej@redhat.com>
- On shutdown, restore speed to maximum before daemon exit.

* Fri Sep 23 2005 Dave Jones <davej@redhat.com>
- Use ACPI as a fallback driver if possible, if one didn't get loaded. (#160788)

* Mon May  9 2005 Dave Jones <davej@redhat.com>
- Fix debuginfo generation.

* Wed Apr  6 2005 Dave Jones <davej@redhat.com>
- Don't count nice time as idle time. (#132383)

* Tue Mar  1 2005 Dave Jones <davej@redhat.com>
- Rebuild for gcc4.

* Tue Feb  8 2005 Dave Jones <davej@redhat.com>
- Rebuild with -D_FORTIFY_SOURCE=2

* Fri Feb  4 2005 Dave Jones <davej@redhat.com>
- Enable builds for PPC (#147089)

* Tue Jan 11 2005 Dave Jones <davej@redhat.com>
- Add missing Obsoletes: kernel-utils

* Mon Jan 10 2005 Dave Jones <davej@redhat.com>
- Update to upstream 1.2.1 release.

* Sat Dec 18 2004 Dave Jones <davej@redhat.com>
- Initial packaging, split out from kernel-utils.

